LAT_MMAP(8)

NAME
lat_mmap - costs of mmapping and unmmapping varying file sizes

SYNOPSIS
lat_mmap size file

DESCRIPTION
lat_mmap times how fast a mapping can be made and unmade. This is useful because it is a fundemental part of processes that use SunOS style shared libraries (the libraries are mapped in at process start up time and unmapped at process exit).

The benchmark maps in and unmaps the first size bytes of the file repeatedly and reports the average time for one mapping/unmapping.

The size specification may end with ``k'' or ``m'' to mean kilobytes (* 1024) or megabytes (* 1024 * 1024).

OUTPUT
Output format is "%0.2f %d\n", megabytes, usecs, i.e.,

8.00 1200

ACKNOWLEDGEMENT
Funding for the development of this tool was provided by Sun Microsystems Computer Corporation.

SEE ALSO
lmbench(8).